Subject: Re: [PATCH net v5] net: ethernet: sunplus: Switch to ndo_eth_ioctl

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Jan 2025 18:11:31 -0800

On Mon, 13 Jan 2025 09:41:56 +0000 [email-masked] wrote:
> From: 谢致邦 (XIE Zhibang) <[email-masked]>
> 
> The device ioctl handler no longer calls ndo_do_ioctl, but calls
> ndo_eth_ioctl to handle mii ioctls since commit a76053707dbf
> ("dev_ioctl: split out ndo_eth_ioctl"). However, sunplus still used
> ndo_do_ioctl when it was introduced. So switch to ndo_eth_ioctl. (found
> by code inspection)
> 
> Fixes: fd3040b9394c ("net: ethernet: Add driver for Sunplus SP7021")

It only occurred to me now that if we're fixing the initial commit
the PHY IOCTLs simply weren't available since day 1, so this is more 
of a new feature than a bug fix. We'll apply it for v6.14, sorry for 
the indecisiveness.